class Shared::LayoutHead < BaseComponent
  needs page_title : String

  def render
    head do
      utf8_charset
      meta "http-equiv": "X-UA-Compatible", content: "IE=edge"
      meta name: "viewport", content: "width=device-width, initial-scale=1"
      title "KissWiki - #{@page_title}"

      # css_link asset("css/app.css"), data_turbolinks_track: "reload"
      # js_link asset("js/app.js"), defer: "true", data_turbolinks_track: "reload"
      # meta name: "turbolinks-cache-control", content: "no-cache"

      css_link asset("css/bootstrap.min.css"), data_turbolinks_track: "reload"
      css_link asset("css/bootstrap-theme.min.css"), data_turbolinks_track: "reload"
      css_link asset("css/font-awesome.min.css"), data_turbolinks_track: "reload"
      css_link asset("css/invert.css"), data_turbolinks_track: "reload"
      css_link asset("css/base.css"), data_turbolinks_track: "reload"
      js_link asset("js/jquery-3.2.1.min.js"), defer: "true", data_turbolinks_track: "reload"
      js_link asset("js/bootstrap.min.js"), defer: "true", data_turbolinks_track: "reload"
      js_link asset("js/base.js"), defer: "true", data_turbolinks_track: "reload"

      csrf_meta_tags
      responsive_meta_tag
    end
  end
end
