abstract class AuthLayout
  include Lucky::HTMLPage

  abstract def content
  abstract def page_title

  # The default page title. It is passed to `Shared::LayoutHead`.
  #
  # Add a `page_title` method to pages to override it. You can also remove
  # This method so every page is required to have its own page title.
  def page_title
    "Welcome"
  end

  def render
    html_doctype

    html lang: "en" do
      mount Shared::LayoutHead, page_title: page_title

      body do
        mount Shared::FlashMessages, context.flash
        nav class: "navbar navbar-default" do
          div class: "col-xs-6" do
            div class: "pull-left" do
              # - if user_signed_in?
              # a.btn.btn-md href="/" = current_user.name
              a "Home", class: "btn btn-md", href: "/"
              a "Sitemap", class: "btn btn-md", href: "/sitemap"
              a "Register", class: "btn btn-md", href: "/users/register"
              a "Login", class: "btn btn-md", href: "/users/login"
              # - if Wikicr::ACL.permitted?(current_user, "/admin/users", Acl::Perm::Read)
              a "Users", class: "btn btn-md", href: "/admin/users"
              # - if Wikicr::ACL.permitted?(current_user, "/admin/acls", Acl::Perm::Read)
              a "ACLs", class: "btn btn-md", href: "/admin/acls"
            end
          end

          div class: "col-xs-6" do
            div class: "pull-right" do
              form flow_id: "search-page", action: "/pages/search", method: "get", role: "form" do
                div class: "input-group input-group-md" do
                  input class: "input-md form-control", name: "q", placeholder: "Search query", autocomplete: "on", list: "search-list"
                  datalist flow_id: "search-list" do
                    # - Wikicr::Page.all.each do |page|
                    #   option value=page.url = page.title
                  end
                  span class: "input-group-btn" do
                    button class: "btn.btn-md" do
                      span "Search", class: "glyphicon glyphicon-search"
                    end
                  end
                end
              end
            end
          end
        end

        nav "aria-label": "breadcrumb" do
          ol class: "breadcrumb" do
            li "History", class: "breadcrumb-item active"
            # - history.each do |page_url|
            #   li.breadcrumb-item
            #   a href=page_url
            #   - root_page = Wikicr::Page.new "/"
            #   = Wikicr::Page.one_by_url(page_url[7..-1], root_page).title
          end
        end

        content
      end
    end
  end
end
